Subject: Re: Cygwin Cron not running
From: "Jonathan O'Leary" <[email-masked]>
To: <[email-masked]>
Cc: <[email-masked]>
Date: Fri, 30 May 2008 14:51:33 -0400
List-Id: <cygwin.cygwin.com>

Thanks for the info, however, I'm a bit confused.  In cronbug it states that the permissions are:

-rwxrwx--- 1 lumcon mkgroup-l-d 244 May 30 14:45 /var/cron/tabs/lumcon

However, when I run a ls -al I get:

-rw-r--r-- 1 lumcon mkgroup-l-d 244 May 30 14:45 /var/cron/tabs/lumcon

How/why are they different?  And how can I change the permissions of this file to get them correct?  I'm not familiar with how chmod works in cygwin, because using the 3 numbers as in unix does not work.

Again, I really appreciate the help.

Thanks!

Jonathan O'Leary
Systems Analyst/Banner Support
Harford Community College
410-836-4188

>>> Brian Dessent <[email-masked]> 5/30/2008 2:08 PM >>>
Jonathan O'Leary wrote:

> I have a cron.log file in /var/log, however it is empty.  Also, the contents of /tmp is empty as well.   Currently I am trying to run 2 jobs, one is a shell script and one is a simple echo command to a file to see if I can get anything to work.  Neither of the jobs run.  Here is the output of my crontab -l  (Both of these command work fine if run from the command line).

The problem is right there in your log:

2008/05/30 13:37:01 [lumcon] /usr/sbin/cron: PID 1424: (lumcon) BAD FILE
MODE (tabs/lumcon)

cron won't run jobs from a tab that is world-writable, as that's a
pretty gaping security hole:

-rwxrwxrwx 1 lumcon mkgroup-l-d 369 May 30 13:36 /var/cron/tabs/lumcon

Also, you should consider fixing your /etc/group file since a group of
'mkgroup-l-d' means there are missing entries.

Brian

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/